美国华人网FuninUSA_唐人社区_北美华人论坛:找礼品卡,找折扣,找报价,找工作,找内推,找项目,找股票

 找回密码
 立即注册
  • 李英爱新剧《师任堂》接档《蓝海传说》 26日首播
  • 48岁许晴与友人庆生 素颜出镜似18岁少女
  • 林允牙齿大变样 网友惊呼认不出
  • 姚晨三亚度假摘芒果 偶遇儿时同学趣事多
  • 赵丽颖有新恋情?邓超一不小心提到了她男朋友
  • 林心如谈“幸福”的定义:每天都在笑
  • 外媒称中国正在研发百亿亿次超级计算机
  • 邓超狂晒打篮球帅照 孙俪冷回10字笑翻众人
  • 48亿:北京打造全球最亮“慧眼”
  • 中国基建狂魔:11072米世界第一航道桥合龙
  • 中国建立了146亿美元的互联网投资基金
  • 历届美国总统经历的市场
  • 市场:特朗普就任的第一周
Logo1-800-PetMeds Free Shipping $49Take $10 Off Your First Order w/code: SAVE10 - 234 x 60
ASICS AmericaPagoda Piercing Banner 234x60Sierra Trading Post
搜索
查看: 3015|回复: 8

内推面经 -有谁也遇到过这个问题?!- 唐人社区|北美华人论坛

[复制链接]

14

主题

382

帖子

408

积分

中级会员

Rank: 3Rank: 3

积分
408
QQ
发表于 2016-9-10 14:46:05 | 显示全部楼层 |阅读模式
分享到:
{$content}

唐人社区-北美华人论坛-内推面经版-有谁也遇到过这个问题?!


  JobHunting
标 题: 有谁也遇到过这个问题?!


Spark 1.3 and Cassandra 3.0 problems with guava

link below
--
【COACH美国代购总群】99634155
回复 百度谷歌雅虎搜狗搜搜有道360奇虎

举报

24

主题

99

帖子

140

积分

注册会员

Rank: 2

积分
140
QQ
发表于 2016-9-10 15:57:32 | 显示全部楼层
JobHunting
标  题: Re: 有谁也遇到过这个问题?!


I'm only a casual user of maven, but it seems to me that your guava 16.0
dependency was only effective at compile time. You probably have some pre-
v14 guava as default in your repository which is used at run time.

One possible hack is to explicitly specify the guava version in you pom,
assuming you can find a version that works.

Another idea is to repackage a proper version of guava for the spark-
cassandra-connector using the shade plugin.

Hope this helps.


【 在 beefcurtain5 (beefcurtain5) 的大作中提到: 】
: http://stackoverflow.com/questions/34900485/spark-1-3-and-cassandra-3-0-problems-with-guava



--

24

主题

84

帖子

138

积分

注册会员

Rank: 2

积分
138
QQ
发表于 2016-9-10 15:59:58 | 显示全部楼层
JobHunting
标  题: Re: 有谁也遇到过这个问题?!


from the comment: that error to me seems to indicate that you must have a
version of guava older than 14.0 in the classpath as that is when
withFallback was introduced

Check your classpath and find where the old jar file is loaded from

【 在 moridin (None) 的大作中提到: 】
: I'm only a casual user of maven, but it seems to me that your guava 16.0
: dependency was only effective at compile time. You probably have some pre-
: v14 guava as default in your repository which is used at run time.
: One possible hack is to explicitly specify the guava version in you pom,
: assuming you can find a version that works.
: Another idea is to repackage a proper version of guava for the spark-
: cassandra-connector using the shade plugin.
: Hope this helps.



--

21

主题

80

帖子

131

积分

注册会员

Rank: 2

积分
131
QQ
发表于 2016-9-10 16:52:33 | 显示全部楼层
JobHunting
标  题: Re: 有谁也遇到过这个问题?!


http://stackoverflow.com/questions/34900485/spark-1-3-and-cassandra-3-0-problems-with-guava
--

16

主题

85

帖子

120

积分

注册会员

Rank: 2

积分
120
QQ
发表于 2016-9-10 17:26:29 | 显示全部楼层
JobHunting
标  题: Re: 有谁也遇到过这个问题?!


??
--

27

主题

90

帖子

140

积分

注册会员

Rank: 2

积分
140
QQ
发表于 2016-9-10 18:24:00 | 显示全部楼层
JobHunting
标  题: Re: 有谁也遇到过这个问题?!


牛肉,这里只会刷题。

【 在 beefcurtain5 (beefcurtain5) 的大作中提到: 】
: http://stackoverflow.com/questions/34900485/spark-1-3-and-cassandra-3-0-problems-with-guava



--

28

主题

92

帖子

161

积分

注册会员

Rank: 2

积分
161
QQ
发表于 2016-9-10 18:32:09 | 显示全部楼层
JobHunting
标  题: 有谁也遇到过这个问题?!


Spark 1.3 and Cassandra 3.0 problems with guava

link below
--

20

主题

1169

帖子

2294

积分

金牌会员

Rank: 6Rank: 6

积分
2294
QQ
发表于 2016-9-25 18:44:45 | 显示全部楼层
看起来不错

17

主题

1111

帖子

2202

积分

金牌会员

Rank: 6Rank: 6

积分
2202
QQ
发表于 2016-10-1 05:00:36 | 显示全部楼层
有空一起交流一下
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

美国华人网|唐人社区|什么值得买FunInUSA.net发布的内推面经 -有谁也遇到过这个问题?!- 唐人社区|北美华人论坛帖子由网友提供或转载于网络,若发布的内推面经 -有谁也遇到过这个问题?!- 唐人社区|北美华人论坛侵犯了您的权益,请联系我们.
Sasa.com

Copyright ©2011 FunInUSA.com All Right Reserved.  Powered by Discuz! X3.0 小黑屋

本站信息均由会员发表,不代表美国华人网FunInUSA立场,如侵犯了您的权利请发帖投诉  技术支持: 美国华人网FunInUSA

安全联盟认证 安全联盟认证

快速回复 返回顶部 返回列表